Subject: [quicwg/base-drafts] df5825: Proposed change: MUST mark inflight data as lost

From: janaiyengar <[email-masked]>
Date: Thu, 20 Dec 2018 13:48:10 -0800

Branch: refs/heads/ianswett-tlp-deadlock
  Home:   https://github.com/quicwg/base-drafts
  Commit: df582552db8b1f791861367046ff6e50d66c4bc4
      https://github.com/quicwg/base-drafts/commit/df582552db8b1f791861367046ff6e50d66c4bc4
  Author: janaiyengar <[email-masked]>
  Date:   2018-12-19 (Wed, 19 Dec 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Proposed change: MUST mark inflight data as lost

A proposal: I think I prefer to mark things as lost instead of suggesting that a sender SHOULD send something when there's really nothing to be sent.  I was starting to rephrase your PR to say "SHOULD send ack-eliciting packet, but MAY mark as lost", and I needed to explain how a sender makes this choice. I realized that if it's been long enough (PTO is long enough) and there's nothing left to send, then maybe it is sensible to mark anything pending as lost. So, I changed my suggestion to that, which is this PR (against your PR).

  Commit: cf7894acb8e8a557b857f4baf281a10756e2e469
      https://github.com/quicwg/base-drafts/commit/cf7894acb8e8a557b857f4baf281a10756e2e469
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-12-19 (Wed, 19 Dec 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  reflow

  Commit: a7b0f3699c6a341a2aa2a6e9a281dba06cdd6f80
      https://github.com/quicwg/base-drafts/commit/a7b0f3699c6a341a2aa2a6e9a281dba06cdd6f80
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-12-20 (Thu, 20 Dec 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  add MAY re-arm PTO

  Commit: 66c435b4bae996e7cae2d74bd59ed7b1d68acfff
      https://github.com/quicwg/base-drafts/commit/66c435b4bae996e7cae2d74bd59ed7b1d68acfff
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-12-20 (Thu, 20 Dec 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  more rephrasing

  Commit: 302f3df6b6d2f41ff8224a5c092c6e9243502208
      https://github.com/quicwg/base-drafts/commit/302f3df6b6d2f41ff8224a5c092c6e9243502208
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-12-20 (Thu, 20 Dec 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  more simple

  Commit: 8e1c599d517cee2dbe86f74b61194b2ab02217e1
      https://github.com/quicwg/base-drafts/commit/8e1c599d517cee2dbe86f74b61194b2ab02217e1
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-12-20 (Thu, 20 Dec 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  comma

  Commit: f09333babf3067be1694b568afb54994dc6f5f5e
      https://github.com/quicwg/base-drafts/commit/f09333babf3067be1694b568afb54994dc6f5f5e
  Author: janaiyengar <[email-masked]>
  Date:   2018-12-20 (Thu, 20 Dec 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #2212 from quicwg/janaiyengar-patch-2

Proposed change to #1965

Compare: https://github.com/quicwg/base-drafts/compare/6b719028f970...f09333babf30
      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.